{
    "manifest_version": 3,
    "name": "WiiShop but on browsers",
    "version": "1.0",
    "permissions": [
        "scripting", 
        "activeTab", 
        "storage", 
        "webRequest",
        "webRequestBlocking",
        "tabs"
    ],
    "action": {
        "default_popup": "popup.html"
    },
    "background": {
        "scripts": ["background.js"]
    },
    "content_scripts": [
        {
            "matches": [
                "https://oss-auth.blinklab.com/*", 
                "https://oss-auth.thecheese.io/*",
                "https://oss-auth.shop.wii.com/*",
                "http://wiimart:8080/oss/serv/*",
                "https://wiimart:8080/oss/serv/*"
            ],
            "js": ["content.js"],
            "run_at": "document_start"
        }
    ],
    "web_accessible_resources": [
        {
            "resources": [
                "fonts/*",
                "classDefinitions.js"
            ],
            "matches": [
                "https://oss-auth.blinklab.com/*",
                "https://oss-auth.thecheese.io/*", 
                "https://oss-auth.shop.wii.com/*",
                "http://wiimart:8080/oss/serv/*",
                "https://wiimart:8080/oss/serv/*"
            ]
        }
    ]
}